%define api_version 2.0
%define pkg_name geronimo-jsp_%{api_version}_spec

Name:          geronimo-jsp-2.0-api
Version:       1.1
Release:       %mkrel 4
Summary:       JSP 2.0
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jsp_2.0_spec-1.1
# tar czf geronimo-jsp_2.0_spec-1.1-src-svn.tar.gz geronimo-jsp_2.0_spec-1.1
Source0:       geronimo-jsp_2.0_spec-1.1-src-svn.tar.gz

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: geronimo-parent-poms
BuildRequires: geronimo-servlet-2.4-api
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local

Requires:      geronimo-servlet-2.4-api
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Geronimo JSP 2.0 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo JSP 2.0 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-jsp-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-jsp-%{api_version}-api-%{version}.jar geronimo-jsp-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-jsp-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-jsp-%{api_version}-api.pom geronimo-jsp-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-jsp-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-jsp-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-jsp-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-jsp-2.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-jsp-%{api_version}-api


%changelog
* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.1-4.mga4
+ Revision: 504974
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 351456
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 06 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 139026
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-jsp-2.0-api

